public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: gnome-extra/gnome-color-manager/, gnome-extra/gnome-color-manager/files/
@ 2018-11-20 10:52 Gilles Dartiguelongue
  0 siblings, 0 replies; 3+ messages in thread
From: Gilles Dartiguelongue @ 2018-11-20 10:52 UTC (permalink / raw
  To: gentoo-commits

commit:     a4a7ed3424bef25c191325dae5dc1420a09e92af
Author:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 20 10:47:56 2018 +0000
Commit:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Tue Nov 20 10:52:26 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a4a7ed34

gnome-extra/gnome-color-manager: 3.24.0 → 3.30.0

Package-Manager: Portage-2.3.51, Repoman-2.3.12
Signed-off-by: Gilles Dartiguelongue <eva <AT> gentoo.org>

 gnome-extra/gnome-color-manager/Manifest           |  1 +
 .../files/3.28-remove-unwvanted-check.patch        | 24 +++++++
 .../gnome-color-manager-3.30.0.ebuild              | 82 ++++++++++++++++++++++
 3 files changed, 107 insertions(+)

diff --git a/gnome-extra/gnome-color-manager/Manifest b/gnome-extra/gnome-color-manager/Manifest
index 1d4960ae725..0bf1d30ff2d 100644
--- a/gnome-extra/gnome-color-manager/Manifest
+++ b/gnome-extra/gnome-color-manager/Manifest
@@ -1 +1,2 @@
 DIST gnome-color-manager-3.24.0.tar.xz 2857120 BLAKE2B c73c3718f77517a41fc74c12347101c57b9939101b2c816cc6390185fb0b21f87d16ed30b17a94f7bd03e28abb4bd5f5d411c086d350659f6686cfffb7e88cf2 SHA512 e145caf4e885ea6e9c4ee5a5b4d800d70af338e26d3bfcda81e20c6144e36d0581638d07099302d30787d6d30e9d58f2b8373f6585ae3788df825d6d24f5b003
+DIST gnome-color-manager-3.30.0.tar.xz 2611088 BLAKE2B 2bbed2184d2c7afa9c4c4cd88470df3350f7deb2d776863dcd18ad6253538f1daee5f6397c598af8bdf1ce720980ede9280891139a9366edaffde3672d64b47a SHA512 ec28179f1089317b5a1920757e81b6126ab42a087831a92cd47174ddfbe6093fa868747c2a1d1d70c23f3fb87bc1b839627160407bf85c936ab0a3b125932ccc

diff --git a/gnome-extra/gnome-color-manager/files/3.28-remove-unwvanted-check.patch b/gnome-extra/gnome-color-manager/files/3.28-remove-unwvanted-check.patch
new file mode 100644
index 00000000000..a9d3ad465a6
--- /dev/null
+++ b/gnome-extra/gnome-color-manager/files/3.28-remove-unwvanted-check.patch
@@ -0,0 +1,24 @@
+From 534eed4f8664c9f263d666ed78144c37dc05bf90 Mon Sep 17 00:00:00 2001
+From: Gilles Dartiguelongue <eva@gentoo.org>
+Date: Sun, 27 May 2018 19:27:51 +0200
+Subject: [PATCH] Fix unwanted exiv check in packagekit option handling
+
+---
+ meson.build | 1 -
+ 1 file changed, 1 deletion(-)
+
+diff --git a/meson.build b/meson.build
+index 9e179fb..08a0f79 100644
+--- a/meson.build
++++ b/meson.build
+@@ -108,7 +108,6 @@ if get_option('exiv')
+ endif
+ 
+ if get_option('packagekit')
+-  libexiv = dependency('exiv2')
+   conf.set('HAVE_PACKAGEKIT', '1')
+ endif
+ 
+-- 
+2.19.1
+

diff --git a/gnome-extra/gnome-color-manager/gnome-color-manager-3.30.0.ebuild b/gnome-extra/gnome-color-manager/gnome-color-manager-3.30.0.ebuild
new file mode 100644
index 00000000000..96714fa094c
--- /dev/null
+++ b/gnome-extra/gnome-color-manager/gnome-color-manager-3.30.0.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit gnome.org gnome2-utils meson virtualx xdg
+
+DESCRIPTION="Color profile manager for the GNOME desktop"
+HOMEPAGE="https://git.gnome.org/browse/gnome-color-manager"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="packagekit raw test"
+
+# Need gtk+-3.3.8 for https://bugzilla.gnome.org/show_bug.cgi?id=673331
+# vte could be made optional
+RDEPEND="
+	>=dev-libs/glib-2.31.10:2
+	>=media-libs/lcms-2.2:2
+	>=media-libs/libcanberra-0.10[gtk3]
+	media-libs/libexif
+	media-libs/tiff:0=
+
+	>=x11-libs/gtk+-3.3.8:3
+	>=x11-libs/vte-0.25.1:2.91
+	>=x11-misc/colord-1.3.1:0=
+	>=x11-libs/colord-gtk-0.1.20
+
+	packagekit? ( app-admin/packagekit-base )
+	raw? ( media-gfx/exiv2:0= )
+"
+# docbook-sgml-{utils,dtd:4.1} needed to generate man pages
+DEPEND="${RDEPEND}
+	app-text/docbook-sgml-dtd:4.1
+	app-text/docbook-sgml-utils
+	dev-libs/appstream-glib
+	dev-util/itstool
+	>=sys-devel/gettext-0.19.8
+	virtual/pkgconfig
+"
+
+PATCHES=(
+	# https://bugzilla.gnome.org/show_bug.cgi?id=796428
+	"${FILESDIR}"/3.28-remove-unwvanted-check.patch
+)
+
+src_prepare() {
+	xdg_src_prepare
+
+	# Fix hard-coded package name
+	# https://gitlab.gnome.org/GNOME/gnome-color-manager/issues/3
+	sed 's:argyllcms:media-gfx/argyllcms:' src/gcm-utils.h || die
+}
+
+src_configure() {
+	# Always enable tests since they are check_PROGRAMS anyway
+	local emesonargs=(
+		$(meson_use raw exiv)
+		$(meson_use packagekit)
+		$(meson_use test tests)
+	)
+	meson_src_configure
+}
+
+src_test() {
+	virtx meson_src_test
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+	gnome2_icon_cache_update
+
+	if ! has_version media-gfx/argyllcms ; then
+		elog "If you want to do display or scanner calibration, you will need to"
+		elog "install media-gfx/argyllcms"
+	fi
+}
+
+pkg_postrm() {
+	xdg_pkg_postrm
+	gnome2_icon_cache_update
+}


^ permalink raw reply related	[flat|nested] 3+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: gnome-extra/gnome-color-manager/, gnome-extra/gnome-color-manager/files/
@ 2019-01-11 12:00 Andreas Sturmlechner
  0 siblings, 0 replies; 3+ messages in thread
From: Andreas Sturmlechner @ 2019-01-11 12:00 UTC (permalink / raw
  To: gentoo-commits

commit:     f6715ca3cbae4a86fa3d1bf06b8715ab9993b62d
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Wed Jan  9 20:56:41 2019 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Fri Jan 11 11:57:33 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f6715ca3

gnome-extra/gnome-color-manager: Fix build with exiv2-0.27

Using exiv2.hpp instead of individual includes is exiv2 recommendation for some
time already while the headers are subject to refactoring.

Standard fix as seen in other affected packages.

Closes: https://bugs.gentoo.org/674086
Package-Manager: Portage-2.3.54, Repoman-2.3.12
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 .../gnome-color-manager-3.24.0-exiv2-0.27.patch    | 41 ++++++++++++++++++++++
 .../gnome-color-manager-3.24.0.ebuild              |  7 +++-
 .../gnome-color-manager-3.30.0-r1.ebuild           |  5 ++-
 3 files changed, 51 insertions(+), 2 deletions(-)

diff --git a/gnome-extra/gnome-color-manager/files/gnome-color-manager-3.24.0-exiv2-0.27.patch b/gnome-extra/gnome-color-manager/files/gnome-color-manager-3.24.0-exiv2-0.27.patch
new file mode 100644
index 00000000000..00878bc26a8
--- /dev/null
+++ b/gnome-extra/gnome-color-manager/files/gnome-color-manager-3.24.0-exiv2-0.27.patch
@@ -0,0 +1,41 @@
+Patch kindly borrowed from Mageia.
+
+https://gitlab.gnome.org/GNOME/gnome-color-manager/issues/4
+
+diff -Nru a/src/gcm-helper-exiv.cpp b/src/gcm-helper-exiv.cpp
+--- a/src/gcm-helper-exiv.cpp	2018-09-04 13:50:05.000000000 +0200
++++ b/src/gcm-helper-exiv.cpp	2018-12-31 15:39:52.288495398 +0100
+@@ -19,8 +19,7 @@
+  * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+  */
+ 
+-#include <exiv2/image.hpp>
+-#include <exiv2/exif.hpp>
++#include <exiv2/exiv2.hpp>
+ #include <iostream>
+ #include <iomanip>
+ 
+@@ -51,7 +50,11 @@
+ 		if (argc == 2)
+ 			filename = argv[1];
+ 		if (filename.empty())
++#if EXIV2_TEST_VERSION(0,27,0)
++			throw Exiv2::Error(Exiv2::kerErrorMessage, "No filename specified");
++#else
+ 			throw Exiv2::Error(1, "No filename specified");
++#endif
+ 		image = Exiv2::ImageFactory::open(filename);
+ 		image->readMetadata();
+ 
+@@ -60,7 +63,11 @@
+ 		if (exifData.empty()) {
+ 			std::string error(argv[1]);
+ 			error += ": No Exif data found in the file";
++#if EXIV2_TEST_VERSION(0,27,0)
++			throw Exiv2::Error(Exiv2::kerErrorMessage, error);
++#else
+ 			throw Exiv2::Error(1, error);
++#endif
+ 		}
+ 
+ 		/* try to find make, model and serial number */

diff --git a/gnome-extra/gnome-color-manager/gnome-color-manager-3.24.0.ebuild b/gnome-extra/gnome-color-manager/gnome-color-manager-3.24.0.ebuild
index 441b966300c..3ab3d64df80 100644
--- a/gnome-extra/gnome-color-manager/gnome-color-manager-3.24.0.ebuild
+++ b/gnome-extra/gnome-color-manager/gnome-color-manager-3.24.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -39,6 +39,11 @@ DEPEND="${RDEPEND}
 	virtual/pkgconfig
 "
 
+PATCHES=(
+	# https://gitlab.gnome.org/GNOME/gnome-color-manager/issues/4
+	"${FILESDIR}"/${P}-exiv2-0.27.patch # bug 674086
+)
+
 src_configure() {
 	# Always enable tests since they are check_PROGRAMS anyway
 	# appstream does not want to be relax by default !

diff --git a/gnome-extra/gnome-color-manager/gnome-color-manager-3.30.0-r1.ebuild b/gnome-extra/gnome-color-manager/gnome-color-manager-3.30.0-r1.ebuild
index 5f035f75126..4048b8ef3bf 100644
--- a/gnome-extra/gnome-color-manager/gnome-color-manager-3.30.0-r1.ebuild
+++ b/gnome-extra/gnome-color-manager/gnome-color-manager-3.30.0-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Authors
+# Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -42,6 +42,9 @@ DEPEND="${RDEPEND}
 PATCHES=(
 	# https://bugzilla.gnome.org/show_bug.cgi?id=796428
 	"${FILESDIR}"/3.28-remove-unwvanted-check.patch
+
+	# https://gitlab.gnome.org/GNOME/gnome-color-manager/issues/4
+	"${FILESDIR}"/${PN}-3.24.0-exiv2-0.27.patch # bug 674086
 )
 
 src_prepare() {


^ permalink raw reply related	[flat|nested] 3+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: gnome-extra/gnome-color-manager/, gnome-extra/gnome-color-manager/files/
@ 2020-07-21 18:41 Mart Raudsepp
  0 siblings, 0 replies; 3+ messages in thread
From: Mart Raudsepp @ 2020-07-21 18:41 UTC (permalink / raw
  To: gentoo-commits

commit:     8b6af0b8752d72581ca48943e4e5ce21ee52fe0b
Author:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 21 18:41:35 2020 +0000
Commit:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
CommitDate: Tue Jul 21 18:41:41 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8b6af0b8

gnome-extra/gnome-color-manager: fix build without libcanberra[gtk]

Closes: https://bugs.gentoo.org/733302
Package-Manager: Portage-2.3.84, Repoman-2.3.20
Signed-off-by: Mart Raudsepp <leio <AT> gentoo.org>

 .../files/3.36.0-remove-libcanberra-include.patch  | 24 ++++++++++++++++++++++
 .../gnome-color-manager-3.36.0.ebuild              |  4 ++++
 2 files changed, 28 insertions(+)

diff --git a/gnome-extra/gnome-color-manager/files/3.36.0-remove-libcanberra-include.patch b/gnome-extra/gnome-color-manager/files/3.36.0-remove-libcanberra-include.patch
new file mode 100644
index 00000000000..5d3644f9bcb
--- /dev/null
+++ b/gnome-extra/gnome-color-manager/files/3.36.0-remove-libcanberra-include.patch
@@ -0,0 +1,24 @@
+From 66aea36411477f284fa8a379b3bde282385d281c Mon Sep 17 00:00:00 2001
+From: Jan Tojnar <jtojnar@gmail.com>
+Date: Wed, 8 Apr 2020 16:41:32 +0200
+Subject: [PATCH] Remove forgotten libcanberra include
+
+---
+ src/gcm-viewer.c | 1 -
+ 1 file changed, 1 deletion(-)
+
+diff --git a/src/gcm-viewer.c b/src/gcm-viewer.c
+index 77463af5..d778877d 100644
+--- a/src/gcm-viewer.c
++++ b/src/gcm-viewer.c
+@@ -12,7 +12,6 @@
+ #include <gdk/gdkx.h>
+ #include <glib/gstdio.h>
+ #include <locale.h>
+-#include <canberra-gtk.h>
+ #include <colord.h>
+ #include <math.h>
+ 
+-- 
+2.20.1
+

diff --git a/gnome-extra/gnome-color-manager/gnome-color-manager-3.36.0.ebuild b/gnome-extra/gnome-color-manager/gnome-color-manager-3.36.0.ebuild
index 65eb91b7db5..117633a1953 100644
--- a/gnome-extra/gnome-color-manager/gnome-color-manager-3.36.0.ebuild
+++ b/gnome-extra/gnome-color-manager/gnome-color-manager-3.36.0.ebuild
@@ -30,6 +30,10 @@ BDEPEND="
 	virtual/pkgconfig
 "
 
+PATCHES=(
+	"${FILESDIR}"/${PV}-remove-libcanberra-include.patch # should be in next upstream release
+)
+
 src_configure() {
 	# Always enable tests since they are check_PROGRAMS anyway
 	local emesonargs=(


^ permalink raw reply related	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2020-07-21 18:42 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2019-01-11 12:00 [gentoo-commits] repo/gentoo:master commit in: gnome-extra/gnome-color-manager/, gnome-extra/gnome-color-manager/files/ Andreas Sturmlechner
  -- strict thread matches above, loose matches on Subject: below --
2020-07-21 18:41 Mart Raudsepp
2018-11-20 10:52 Gilles Dartiguelongue

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox